/*--------------------------------------------------------------------

   Perceptuum renderer, version 2.1
   Copyright (c) 2002-2003,  Harrison Ainsworth.

   www.hxa7241.org

--------------------------------------------------------------------*/

/*--------------------------------------------------------------------

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307, USA

--------------------------------------------------------------------*/


#ifndef perceptuum2_modelling_p
#define perceptuum2_modelling_p




namespace perceptuum2
{
	namespace modelling
	{
		class Bound;
		class Intersection;
		class Material;
		class Mesh;
		class ObjectDefault;
		class ObjectInstance;
		class ObjectInstanceMoving;
		class ObjectInstantiator;
		class ObjectMesh;
		class ObjectMeshBlock;
		class ObjectMeshCylinder;
		class ObjectMeshSphere;
		class ObjectRenderable;
		class ObjectRenderableId;
		class ProjectableObjectRef;
		class Qualities;
		class Ray;
		class Scene;
		class TriangleExplicit;
		class TriangleImplicit;
		class Vertex;
	}
}




#endif//perceptuum2_modelling_p
